.\" radeonhd.man based on formatting used in the xf86-video-{ati,nv} radeon.man, nv.man
.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.\"
.\"
.TH RADEONHD __drivermansuffix__ __vendorversion__
.\"
.\"
.SH NAME
radeonhd \- AMD GPG (ATI) R5xx/R6xx video driver
.\"
.\"
.SH SYNOPSIS
.nf
.B "Section \*qDevice\*q"
.BI "  Identifier \*q"  devname \*q
.B  "  Driver \*qradeonhd\*q"
\ \ ...
.B EndSection
.fi
.\"
.\"
.SH DESCRIPTION
.B radeonhd
is an __xservername__ driver for AMD GPG (ATI) R5xx/R6xx based video cards.

.B "RADEONHD is still very much work in progress."

At the time of this writing,
.B radeonhd
has
.B NO
support for 2D acceleration, Xvideo, 3D acceleration and many other nice
features.
.SH SUPPORTED HARDWARE
The
.B radeonhd
driver supports video cards based on the following ATI chips:
.\" The following list was generated from "X -logverbose 7" by the following command:
.\" sed -n '/^\t[RM][A-Z0-9]\+ * : /{ s/\.$//; s/^\t\([A-Z0-9]\+\) \+: \(.*\)/.TP 8\n.B \1\n\2/; p};' /var/log/Xorg.0.log
.\" The list replicates the output of RHDIdentify() in src/rhd_id.c.
.TP 8
.B RV505
Radeon X1550, X1550 64bit
.TP 8
.B RV515
Radeon X1300, X1550, X1600; FireGL V3300, V3350
.TP 8
.B RV516
Radeon X1300, X1550, X1550 64-bit, X1600; FireMV 2250
.TP 8
.B R520
Radeon X1800; FireGL V5300, V7200, V7300, V7350
.TP 8
.B RV530
Radeon X1300 XT, X1600, X1600 Pro, X1650; FireGL V3400, V5200
.TP 8
.B RV535
Radeon X1300, X1650
.TP 8
.B RV550
Radeon X2300 HD
.TP 8
.B RV560
Radeon X1650
.TP 8
.B RV570
Radeon X1950, X1950 GT; FireGL V7400
.TP 8
.B R580
Radeon X1900, X1950; AMD Stream Processor
.TP 8
.B R600
Radeon HD 2900 GT/Pro/XT; FireGL V7600/V8600/V8650
.TP 8
.B RV610
Radeon HD 2350, HD 2400 Pro/XT, HD 2400 Pro AGP; FireGL V4000
.TP 8
.B RV630
Radeon HD 2600 LE/Pro/XT, HD 2600 Pro/XT AGP; Gemini RV630; FireGL V3600/V5600
.TP 8
.B M52
Mobility Radeon X1300
.TP 8
.B M54
Mobility Radeon X1400; M54-GL
.TP 8
.B M56
Mobility Radeon X1600; Mobility FireGL V5200
.TP 8
.B M58
Mobility Radeon X1800, X1800 XT; Mobility FireGL V7100, V7200
.TP 8
.B M62
Mobility Radeon X1350
.TP 8
.B M64
Mobility Radeon X1450, X2300
.TP 8
.B M66
Mobility Radeon X1700, X1700 XT; FireGL V5250
.TP 8
.B M68
Mobility Radeon X1900
.TP 8
.B M71
Mobility Radeon HD 2300
.TP 8
.B M72
Mobility Radeon HD 2400; Radeon E2400
.TP 8
.B M74
Mobility Radeon HD 2400 XT
.TP 8
.B M76
Mobility Radeon HD 2600; (Gemini ATI) Mobility Radeon HD 2600 XT
.TP 8
.B RS690
Radeon X1200
.TP 8
.B RS740
RS740, RS740M
.\"
.\"
.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general
configuration details.  This section only covers configuration details
specific to this driver.
.TP
.BI "Option \*qRROutputOrder\*q \*q" <list_of_outputs> \*q
If your outputs are ordered in the wrong way with respect to Xinerama
emulation, you can reorder them by adding their names (separated by
spaces or commas) to the
.I <list_of_outputs>.
.PP
For information on more options, please see the source code (
.I src/rhd_driver.c
) for now.
.\"
.\"
.SH KNOWN BUGS
As the
.B radeonhd
driver is still in an early stage of development, many non-obvious things
do not work yet. Other places to check for known bugs and solutions are the
bugtracker at
\%https://bugs.freedesktop.org/query.cgi?product=xorg&component=Driver/radeonhd
and the mailing list archives at
\%http://lists.opensuse.org/radeonhd/
.SS Laptop backlight brightness cannot be changed
While
.B radeonhd
has control over the display, the normal laptop's \*qbrighter\*q and \*qdarker\*q keys are blocked.
Workaround: Until
.B radeonhd
does proper ACPI event handling, you can switch to a VGA text console, adjust the brightness there, and then switch back to X11.
.SS radeonhd 0.0.3 (with RandR) shows no or broken picture, xrandr fails, etc.
radeonhd development caused a few bugs in __xservername__ and a number
of bugs in xrandr(__appmansuffix__) to be discovered. If you are using
xrandr(1) versions older than 2007-11-10, you should try updating
xrandr(1). As a workaround, you can also deactivate the
.B radeonhd
RandR support by
adding
.B "Option \*qnoRandR\*q"
to the __xconfigfile__ Device section.
.\"
.\"
.SH SEE ALSO
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__)
.IP " 1." 4
The radeonhd mailing list
.RS 4
\%http://lists.opensuse.org/radeonhd/
.RE
.IP " 2." 4
Overview about radeonhd development code
.RS 4
\%http://gitweb.freedesktop.org/?p=xorg/driver/xf86-video-radeonhd
.RE
.IP " 3." 4
The radeonhd wiki (home) page
.RS 4
\%http://wiki.x.org/wiki/radeonhd
.RE
.IP " 4." 4
Query the bugtracker for radeonhd bugs
.RS 4
\%https://bugs.freedesktop.org/query.cgi?product=xorg&component=Driver/radeonhd
.RE
.\"
.\"
.SH AUTHORS
.nf
Man page authors:
Hans Ulrich Niedermann   \fIhun@n-dimensional.de\fP
.fi
.\" vim: syntax=nroff
